Project

General

Profile

Support #24248

ifdh/nutools stack in art2 with latest libwda

Added by Gavin Davies about 2 months ago. Updated about 2 months ago.

Status:
Closed
Priority:
High
Assignee:
Target version:
-
Start date:
03/30/2020
Due date:
% Done:

100%

Estimated time:
Spent time:
Scope:
Internal
Experiment:
NOvA
SSI Package:
art
Co-Assignees:
Duration:

Description

We have a request for an updated version of ifdh_art to include the latest version of libwda (v2_27_0 -- as advised by Igor/Vladimir).
This is a security-related update.
This is as a result of a need to comply with a security request to move DB web services over from HTTP -> HTTPS. The gravity of this request only came to light late last week and we quickly identified the need for this latest libwda. Of course, with this depending on ifdh_art that makes for a tricky update to our stack which is still in art2.
Specifically, we are using NUTOOLS_VERSION v3_01_04 which brings along ART_VERSION v2_13_00.

History

#1 Updated by Lynn Garren about 2 months ago

  • Assignee set to Lynn Garren
  • Status changed from New to Assigned

ifdh_art v2_07_06 is tagged. This release uses the preexisting ifdhc v2_5_4, ifbeam v2_4_2, and nucondb v2_4_2.

#2 Updated by Lynn Garren about 2 months ago

And, of course, libwda v2_27_0.

#3 Updated by Cathal Sweeney about 2 months ago

Thanks Lynn! On our end is it now a matter of waiting for the tagged version to be built and put on scisoft?

#4 Updated by Lynn Garren about 2 months ago

Yes. There will be new releases of nutools, nugen, and nuevdb.

#5 Updated by Lynn Garren about 2 months ago

  • % Done changed from 0 to 100
  • Status changed from Assigned to Resolved

nulite v3_01_05 is now available for download: https://scisoft.fnal.gov/scisoft/bundles/nulite/v3_01_05/nulite-v3_01_05.html

The distribution also includes geant4reweight v01_00_06.

#6 Updated by Gavin Davies about 2 months ago

Thank you, and for such a fast turnaround too. Very much appreciated, Lynn!

#7 Updated by Cathal Sweeney about 2 months ago

Thanks Lynn! The slf6 versions have been installed succesfully (these are only ones that are needed urgently). Running pullPoducts with th slf7 option, it doesn't seem to pick up the slf7 versions as it normally would. I get e.g. :

INFO: ups product nutools v3_01_05 -q +debug:+e17: -H Linux64bit+3.10-2.17 already exists

but then checking after running we don't have the slf7 versions:

$ ls ../nutools/v3_01_05
include               slf6.x86_64.c2.prof    slf6.x86_64.e17.prof  tools
slf6.x86_64.c2.debug  slf6.x86_64.e17.debug  source                ups

#8 Updated by Lynn Garren about 2 months ago

Cathal, make sure you have the latest available pullProducts. I think that problem has been fixed.

#9 Updated by Cathal Sweeney about 2 months ago

I removed the existing pullProducts script and downloaded it again from https://scisoft.fnal.gov/scisoft/bundles/tools/pullProducts . I'm still seeing the same behaviour

#10 Updated by Lynn Garren about 2 months ago

Have to check.

#11 Updated by Lynn Garren about 2 months ago

Get pullProducts 2.02.04 which has just been uploaded to SciSoft.

#12 Updated by Cathal Sweeney about 2 months ago

That fixed it. Thank you

#13 Updated by Kyle Knoepfel about 2 months ago

  • Status changed from Resolved to Closed


Also available in: Atom PDF